GET
/signing-profiles/{profileName}
http://signer.{region}.amazonaws.com/signing-profiles/{profileName}Returns information on a specific signing profile.
Access Token Required: API Key
Path Parameters
profileNamestringrequired
The name of the target signing profile.
Query Params
profileOwnerstring
The AWS account ID of the profile owner.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://signer.{region}.amazonaws.com/signing-profiles/{profileName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}